/* /Components/Layout/MainLayout.razor.rz.scp.css */
#blazor-error-ui[b-4g1w7l9air] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-4g1w7l9air] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Loading/ColorSpinner.razor.rz.scp.css */
#loader[b-9fi1qocpu3] {
    z-index: 9999; /* High z-index value to make it always on top */
    bottom: 0;
    height: 175px;
    left: -200px;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 175px;
}


#loader[b-9fi1qocpu3] {
    bottom: 0;
    height: 175px;
    left: 0;
    margin: auto;
    position: absolute;
    right: 0;
    top: 0;
    width: 175px;
}

    #loader .dot[b-9fi1qocpu3] {
        bottom: 0;
        height: 100%;
        left: 0;
        margin: auto;
        position: absolute;
        right: 0;
        top: 0;
        width: 87.5px;
    }

        #loader .dot[b-9fi1qocpu3]::before {
            border-radius: 100%;
            content: "";
            height: 87.5px;
            left: 0;
            position: absolute;
            right: 0;
            top: 0;
            transform: scale(0);
            width: 87.5px;
        }

        #loader .dot:nth-child(7n+1)[b-9fi1qocpu3] {
            transform: rotate(45deg);
        }

            #loader .dot:nth-child(7n+1)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.1s normal none infinite running load-b-9fi1qocpu3;
                background: #00ff80 none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+2)[b-9fi1qocpu3] {
            transform: rotate(90deg);
        }

            #loader .dot:nth-child(7n+2)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.2s normal none infinite running load-b-9fi1qocpu3;
                background: #00ffea none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+3)[b-9fi1qocpu3] {
            transform: rotate(135deg);
        }

            #loader .dot:nth-child(7n+3)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.3s normal none infinite running load-b-9fi1qocpu3;
                background: #00aaff none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+4)[b-9fi1qocpu3] {
            transform: rotate(180deg);
        }

            #loader .dot:nth-child(7n+4)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.4s normal none infinite running load-b-9fi1qocpu3;
                background: #0040ff none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+5)[b-9fi1qocpu3] {
            transform: rotate(225deg);
        }

            #loader .dot:nth-child(7n+5)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.5s normal none infinite running load-b-9fi1qocpu3;
                background: #2a00ff none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+6)[b-9fi1qocpu3] {
            transform: rotate(270deg);
        }

            #loader .dot:nth-child(7n+6)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.6s normal none infinite running load-b-9fi1qocpu3;
                background: #9500ff none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+7)[b-9fi1qocpu3] {
            transform: rotate(315deg);
        }

            #loader .dot:nth-child(7n+7)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.7s normal none infinite running load-b-9fi1qocpu3;
                background: magenta none repeat scroll 0 0;
            }

        #loader .dot:nth-child(7n+8)[b-9fi1qocpu3] {
            transform: rotate(360deg);
        }

            #loader .dot:nth-child(7n+8)[b-9fi1qocpu3]::before {
                animation: 0.8s linear 0.8s normal none infinite running load-b-9fi1qocpu3;
                background: #ff0095 none repeat scroll 0 0;
            }

    #loader .loading[b-9fi1qocpu3] {
        background-position: 50% 50%;
        background-repeat: no-repeat;
        bottom: -40px;
        height: 20px;
        left: 0;
        position: absolute;
        right: 0;
        width: 180px;
    }

@keyframes load-b-9fi1qocpu3 {
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

@keyframes load-b-9fi1qocpu3 {
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

.spinner-message[b-9fi1qocpu3] {
    color: black;
    text-align: center;
}
